"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardBank = exports.CheckCardNumber = void 0;
const cardNumber_1 = require("../constants/cardNumber");
/**
 * get card number and check if is valid
 * @param CardNumber
 * @returns boolean
 */
const CheckCardNumber = (CardNumber) => {
    const CardNumberRegex = /^\d{4}?[\s.-]?\d{4}?[\s.-]?\d{4}?[\s.-]?\d{4}$/g;
    return CardNumberRegex.test(CardNumber);
};
exports.CheckCardNumber = CheckCardNumber;
/**
 * get card number and check if is valid
 * @param CardNumber
 * @returns boolean
 */
const CardBank = (CardNumber) => {
    if ((0, exports.CheckCardNumber)(CardNumber)) {
        const card = CardNumber.slice(0, 6), bankName = cardNumber_1.banks.find((item) => item.id === +card);
        return bankName === null || bankName === void 0 ? void 0 : bankName.name;
    }
};
exports.CardBank = CardBank;
